Subject: Re: string.h problems
From: [email-masked] ("Rob Hegt")

20 Jan 1997 00:58:16 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <B426D422E.cygnus.gnu-win32@fs-nw-ps>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7BIT
>Return-Path: <[email-masked]>
Original-To: [email-masked]
Original-Cc: "p.a.c.tavares" <[email-masked]>
X-Mailer: Pegasus Mail for Windows (v2.23)
Original-Sender: [email-masked]

> From:          "p.a.c.tavares" <[email-masked]>
> Subject:       string.h problems
> To:            [email-masked] (Cygwin List)
> Date:          Fri, 17 Jan 1997 12:30:02 +0000 (GMT)

> I've had trouble with a number of functions that should be defined in 
> string.h: strncpy, bcopy and bcopy
> 
> For all of these the compiler complains they haven't been defined. I 
> checked the header file and they are indeed there and I found them to be 
> encapsulated in some macro. Could someone explain what I have to do? Thanks.
> 

I had the exact same problem compiling V. Using gcc -E (only run cpp) I 
found out that the C++ String.h was included, not the standard string.h. 
So I think we have a case-sensitivity problem. Anyway, I 'fixed' the 
problem by specifying -nostdinc -I<C includes> -I<C++ includes>.

Does anyone know how case-sensitivity is handled? I had problems with it in 
combination with makefiles as well.

Rob Hegt

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".